Module jdk.jdi
Package com.sun.jdi

## Class InvalidTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.jdi.InvalidTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidTypeException
    extends Exception

Thrown to indicate a type mismatch in setting the value of a field or variable, or in specifying the return value of a method.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidTypeException()`
`InvalidTypeException(String s)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### InvalidTypeException

    public InvalidTypeException()

#### InvalidTypeException

    public InvalidTypeException(String s)